import * as React from "react";
import type { RouterInit } from "@remix-run/router";
import { Location } from "react-router-dom";
export interface StaticRouterProps {
    basename?: string;
    children?: React.ReactNode;
    location: Partial<Location> | string;
}
/**
 * A <Router> that may not navigate to any other location. This is useful
 * on the server where there is no stateful UI.
 */
export declare function StaticRouter({ basename, children, location: locationProp, }: StaticRouterProps): JSX.Element;
export interface DataStaticRouterProps {
    data: RouterInit["hydrationData"];
    location: Partial<Location> | string;
    children?: React.ReactNode;
}
/**
 * A Data Router that may not navigate to any other location. This is useful
 * on the server where there is no stateful UI.
 */
export declare function DataStaticRouter({ data, location, children, }: DataStaticRouterProps): JSX.Element;
